FsImageProto.INodeSection.INodeDirectoryOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, interface: INodeDirectoryOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.INodeSection.INodeDirectoryOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.INodeSection.INodeDirectory`, `FsImageProto.INodeSection.INodeDirectory.Builder`

Enclosing class:
  FsImageProto.INodeSection

public static interface FsImageProto.INodeSection.INodeDirectoryOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.INodeSection.AclFeatureProto`
  `getAcl()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 5;`
  `FsImageProto.INodeSection.AclFeatureProtoOrBuilder`
  `getAclOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 5;`
  `long`
  `getDsQuota()`
  diskspace quota
  `long`
  `getModificationTime()`
  `optional uint64 modificationTime = 1;`
  `long`
  `getNsQuota()`
  namespace quota
  `long`
  `getPermission()`
  `optional fixed64 permission = 4;`
  `FsImageProto.INodeSection.QuotaByStorageTypeFeatureProto`
  `getTypeQuotas()`
  `optional .hadoop.hdfs.fsimage.INodeSection.QuotaByStorageTypeFeatureProto typeQuotas = 7;`
  `FsImageProto.INodeSection.QuotaByStorageTypeFeatureProtoOrBuilder`
  `getTypeQuotasOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.QuotaByStorageTypeFeatureProto typeQuotas = 7;`
  `FsImageProto.INodeSection.XAttrFeatureProto`
  `getXAttrs()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 6;`
  `FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder`
  `getXAttrsOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 6;`
  `boolean`
  `hasAcl()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 5;`
  `boolean`
  `hasDsQuota()`
  diskspace quota
  `boolean`
  `hasModificationTime()`
  `optional uint64 modificationTime = 1;`
  `boolean`
  `hasNsQuota()`
  namespace quota
  `boolean`
  `hasPermission()`
  `optional fixed64 permission = 4;`
  `boolean`
  `hasTypeQuotas()`
  `optional .hadoop.hdfs.fsimage.INodeSection.QuotaByStorageTypeFeatureProto typeQuotas = 7;`
  `boolean`
  `hasXAttrs()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 6;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasModificationTime

    boolean hasModificationTime()
    `optional uint64 modificationTime = 1;`
    Returns:
      Whether the modificationTime field is set.

  - ### getModificationTime

    long getModificationTime()
    `optional uint64 modificationTime = 1;`
    Returns:
      The modificationTime.

  - ### hasNsQuota

    boolean hasNsQuota()

         namespace quota

    `optional uint64 nsQuota = 2;`
    Returns:
      Whether the nsQuota field is set.

  - ### getNsQuota

    long getNsQuota()

         namespace quota

    `optional uint64 nsQuota = 2;`
    Returns:
      The nsQuota.

  - ### hasDsQuota

    boolean hasDsQuota()

         diskspace quota

    `optional uint64 dsQuota = 3;`
    Returns:
      Whether the dsQuota field is set.

  - ### getDsQuota

    long getDsQuota()

         diskspace quota

    `optional uint64 dsQuota = 3;`
    Returns:
      The dsQuota.

  - ### hasPermission

    boolean hasPermission()
    `optional fixed64 permission = 4;`
    Returns:
      Whether the permission field is set.

  - ### getPermission

    long getPermission()
    `optional fixed64 permission = 4;`
    Returns:
      The permission.

  - ### hasAcl

    boolean hasAcl()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 5;`
    Returns:
      Whether the acl field is set.

  - ### getAcl

    FsImageProto.INodeSection.AclFeatureProto getAcl()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 5;`
    Returns:
      The acl.

  - ### getAclOrBuilder

    FsImageProto.INodeSection.AclFeatureProtoOrBuilder getAclOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 5;`

  - ### hasXAttrs

    boolean hasXAttrs()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 6;`
    Returns:
      Whether the xAttrs field is set.

  - ### getXAttrs

    FsImageProto.INodeSection.XAttrFeatureProto getXAttrs()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 6;`
    Returns:
      The xAttrs.

  - ### getXAttrsOrBuilder

    FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder getXAttrsOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 6;`

  - ### hasTypeQuotas

    boolean hasTypeQuotas()
    `optional .hadoop.hdfs.fsimage.INodeSection.QuotaByStorageTypeFeatureProto typeQuotas = 7;`
    Returns:
      Whether the typeQuotas field is set.

  - ### getTypeQuotas

    FsImageProto.INodeSection.QuotaByStorageTypeFeatureProto getTypeQuotas()
    `optional .hadoop.hdfs.fsimage.INodeSection.QuotaByStorageTypeFeatureProto typeQuotas = 7;`
    Returns:
      The typeQuotas.

  - ### getTypeQuotasOrBuilder

    FsImageProto.INodeSection.QuotaByStorageTypeFeatureProtoOrBuilder getTypeQuotasOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.QuotaByStorageTypeFeatureProto typeQuotas = 7;`